Package net.shibboleth.idp.attribute.resolver.spring.dc.http.impl

# Class HTTPDataConnectorParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser
net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser
net.shibboleth.idp.attribute.resolver.spring.dc.http.impl.HTTPDataConnectorParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class HTTPDataConnectorParser extends AbstractDataConnectorParser
Bean definition Parser for a `HTTPDataConnector`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`HTTPDataConnectorParser.V2Parser`
Utility class for parsing v2 schema configuration.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`static final QName`
`TYPE_NAME`
Schema type name.

### Fields inherited from class net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser

`ATTR_EXPORT_NAMES, ATTR_FAIL_FAST, ATTR_NORETRYDELAY, ELEMENT_NAME, FAIL_FAST_DEFAULT, FAILOVER_DATA_CONNECTOR_ELEMENT_NAME`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`HTTPDataConnectorParser()`

## Method Summary

Modifier and Type
Method
Description
`protected static BeanDefinition`
`buildHttpClientSecurityParameters(BeanDefinition inlineParams, String parametersRef, ParserContext parserContext)`
Build the definition of the HttpClientSecurityParameters as a factory bean which merges the inline params data and parameters ref inputs.
`protected void`
`doParse(Element config, ParserContext parserContext, BeanDefinitionBuilder builder)`
`protected Class<HTTPDataConnector>`
`getBeanClass(Element element)`

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser

`getLogPrefix`

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser

`failOnDependencies, getActivationCondition, getDefinitionId, warnOnDependencies`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_NAME

@Nonnull public static final QName TYPE_NAME
Schema type name.

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### HTTPDataConnectorParser

public HTTPDataConnectorParser()

## Method Details

### getBeanClass

@Nullable protected Class<HTTPDataConnector> getBeanClass(@Nonnull Element element)

Overrides:
  `getBeanClass` in class `AbstractSingleBeanDefinitionParser`

### doParse

protected void doParse(@Nonnull Element config, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `AbstractDataConnectorParser`

### buildHttpClientSecurityParameters

@Nonnull protected static BeanDefinition buildHttpClientSecurityParameters(@Nullable BeanDefinition inlineParams, @Nullable String parametersRef, @Nonnull ParserContext parserContext)
Build the definition of the HttpClientSecurityParameters as a factory bean which merges the inline params data and parameters ref inputs.

Parameters:
  `inlineParams` - the bean definition for the inline params data such as TLS TrustEngine and client Credential
  `parametersRef` - the security parameters bean reference
  `parserContext` - context
Returns:
  the bean definition with the parameters.